View Issue Details

IDProjectCategoryView StatusLast Update
0000857ЗарплатаGeneralpublic2015-09-25 17:05
Reporterruslan Assigned Toruslan  
PriorityhighSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Summary0000857: -/+Новое начисление * Разница между мин.зп
DescriptionДля наглядности и возможности ручной корректировки начислений на ФОТ для ЕСВ. В справочник Начисления вводим новое служебное начисление:
Наименование: Разница между мин. з/п.
Категория: Разница между мин. зп
Свойства:
- Добавляется в расчетную ведомость по сотруднику и рассчитывается автоматически;
- Не участвует в начислениях для выплат(т.е. при расчете суммы на руки);
- При корректировке суммы в ручную в ведомости, остается после перерасчета ведомости "ручная" сумма
Логика расчета:
Проверка совпадения результата анализа параметров соединенных по И
Если
1. по сотруднику в ведомости сумма облагаемых начислениями на ФОТ с категорией ЕСВ начислений + Сумма больничных текущего месяца < Минимальная ЗП за месяц расчета из Справочника Парметры
2. Признак работы в Лицевых счетах Сотрудника НЕ "Работающий инвалид" или Не "По совместительству"
3. Текущий расчетный месяц не является месяцем приема или месяцем увольнения(см. Дополнительные сведения п.3) сотрудника
4. Нет за текущий месяц Больничного из таблицы Больничные(не подтвержденного начислением см. п2 Доп.сведений в инциденте),
5. Нет начисления с категорий "Разница между мин.зп"
 ТО рассчитываем служебное начисление по формуле Сумма начислений облагаемых ФОТ ЕСВ + Больничные ЗА ТЕКУЩИЙ МЕСЯЦ(все виды) - Мин.ЗП в месяце начисления из справочника Параметры
Additional Information1. Расчет Больничных за текущий месяц в случае наличия переходных больничных - нужно повторить расчет из формы начисления Больничного в ведомости умножив среднедневную ЗП на кол-во дней текущего месяца. Для нехарактерных случаев(учет не начинается в Граните со дня основания предприятия, ошибки в учете ЗП и неправильный автоматический расчет среднедневной ЗП), надо Средневную ЗП хранить в БД, или проводить обратный расчет от суммы больничного / кол-во дней(календарных)*Кол-во дней текущего месяца
2. Проверка наличия связи между больничным листом из таблицы Больничные и начислениями Больничные в Расчетной ведомости - или ввести в базу и форму Больничного в таблице Больничные(закладка Табель - кнопка Больничные)возможность указывать соответствующее начисление в периоде больничного листа, или неявно анализируя совпадение периодов в больничных листах и начисление с типом больничный в текущей ведомости.
3. Если сотрудник оформлен с первого РАБОЧЕГО дня месяца(НЕ с 01) или уволен в последний РАБОЧИЙ день месяца(НЕ КАЛЕНДАРНЫЙ последний день месяца), считается, что он отработал ПОЛНЫЙ месяц и расчет начисления Разница между мин. зп делается по стандартной схеме.
TagsNo tags attached.

Relationships

related to 0000853 assignedruslan -Проверить расчет начисления отпускных- Расчет кол-ва дней в расчетном периоде-ПРием сотрудника не с 1-ого числа 
related to 0000855 closedruslan -Изменение в логике начисления на ФОТ с типом ЕСВ 

Activities

ruslan

2015-08-18 10:17

manager   ~0002087

ты начисление в новой версии модуля Зарплата сделал, а такой Тип начисление - нет.

Issue History

Date Modified Username Field Change
2015-08-17 16:26 ruslan New Issue
2015-08-17 16:27 ruslan Relationship added related to 0000855
2015-08-17 16:36 ruslan Description Updated View Revisions
2015-08-17 16:36 ruslan Additional Information Updated View Revisions
2015-08-17 16:38 ruslan Description Updated View Revisions
2015-08-17 16:39 ruslan Description Updated View Revisions
2015-08-17 16:41 ruslan Additional Information Updated View Revisions
2015-08-17 16:44 ruslan Relationship added related to 0000853
2015-08-17 17:40 ruslan Additional Information Updated View Revisions
2015-08-17 17:45 ruslan Additional Information Updated View Revisions
2015-08-18 10:17 ruslan Note Added: 0002087
2015-08-31 11:58 ruslan Status new => resolved
2015-08-31 11:58 ruslan Resolution open => fixed
2015-08-31 11:58 ruslan Assigned To => ruslan
2015-09-25 17:05 ruslan Status resolved => closed